// Here you can add other styles
@import 'custom/table';
@import 'custom/global';
@import 'custom/helpers';
@import 'custom/dropzone';
@import 'custom/toastr';
@import 'custom/animate';

.table-striped tbody tr:nth-of-type(odd) {
  background-color: rgba(0, 0, 0, 0.02);
}

.table-hover tbody tr:hover {
  background-color: rgba(0, 0, 0, 0.04);
}

.table tbody + tbody {
  border-color: rgba(0, 0, 0, 0.4);
}

main {
  padding-bottom: 50px;

  h1,
  h2,
  h3 {
    margin-bottom: 1rem;
    font-weight: bold;
  }
  h1 {
    font-size: 20px;
  }
  h2 {
    font-size: 18px;
    margin-top: 1rem;
  }
  h3 {
    font-size: 16px;
    margin-top: 1rem;
  }

  .container-fluid.container-main {
    @include media-breakpoint-down(sm) {
      padding-left: 15px;
      padding-right: 15px;
    }
  }
}

.inline-edit-link {
  background-color: transparent;
  color: $blue;
  border: none;
  outline: none;
  margin-top: 0;
  margin-bottom: 0;
  border-bottom: 1px dashed $blue;
  font-style: italic;
  cursor: pointer;
}

.sort-link {
  cursor: pointer;
  display: flex;
  justify-content: start;
  white-space: nowrap;
  align-items: center;

  i.fa {
    margin-left: 0.5rem;
  }
}

.truncate-200 {
  display: block;
  @include text-truncate;
  max-width: 200px;
}

.input-digit-group {
  display: flex;
  input {
    width: 40px;
    text-align: center;
    + input {
      margin-left: 15px;
    }
  }
}

.cursor-pointer {
  cursor: pointer;
}

////
/// Buttons
//
.btn-tertiary {
  @include button-variant($tertiary, $tertiary);
}

////
/// HELPER
//
body::before {
  content: 'XS';
  color: dimgray;
  text-shadow: 0 0 3px rgba(0, 0, 0, 0.1);
  font-size: 10px;
  position: fixed;
  bottom: 10px;
  right: 10px;
  @include media-breakpoint-up(sm) {
    content: 'SM';
  }
  @include media-breakpoint-up(md) {
    content: 'MD';
  }
  @include media-breakpoint-up(lg) {
    content: 'LG';
  }
  @include media-breakpoint-up(xl) {
    content: 'XL';
  }
}

.date-filter {
  width: 100%;
  display: flex;
  justify-content: flex-end;

  > select {
    margin-bottom: 10px;

    &:last-of-type {
      margin-left: 10px;
    }
  }
}

.loginAttemptsTable {
  margin-bottom: 0;
}

.loginAttemptsPagination {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.free-trial-discount {
  font-size: 14px;
  line-height: 140%;
  text-decoration-line: line-through;
  color: grey;
  padding-left: 16px;
}

.current-month-usage {
  h4 {
    font-size: 24px;
  }
  .usage-column {
    flex: 0 0 20%;
    max-width: 20%;
  }
}

.billing-overview {
  padding-right: 32px;
  .active-button {
    color: $white !important;
    background: #21a8d7 !important;
  }
  .fa-pencil {
    color: $light-blue;
    padding: 5px 6px;
  }
  h4 {
    font-size: 24px;
  }
  .content-row {
    height: 48px;
    margin: 0;
    border-top: 1px solid #c9ced2;
    span {
      line-height: 48px;
    }
  }
  .free-trial-actions {
    margin: 0;
    border-bottom: 1px solid #c9ced2;
  }
  .card {
    border: none;
  }
  .remaining-credits-row {
    // Rearange button positions using css to prevent affecting other components that uses MultipleLinesUpdate component
    #multi-lines-update-cancel-button {
      order: 1;
      width: 40px;
      height: 40px;
      margin-top: 8px;
    }
    #multi-lines-update-success-button {
      order: 2;
      width: 40px;
      height: 40px;
      margin-left: 16px;
      margin-top: 8px;
    }
    input,
    select {
      width: 95%;
    }
  }
  .cancel-downgrade {
    button {
      height: 48px;
      width: 100%;
    }
  }
  .collapsed {
    display: none;
  }
  .preview-mandate {
    text-decoration: underline;
    color: #21a8d7;
  }
  .conversions-statement {
    color: #21a8d7;
    text-decoration: underline;
  }
}
.free-trial-form {
  width: 100%;
  button {
    height: 40px;
    width: 40px;
  }
  .date-picker {
    width: 90%;
  }
}

.monthly-breakdown {
  margin-top: 40px;
  h4 {
    font-size: 24px;
  }
}

.monthly-breakdown-table {
  margin-top: 22px;
  tr {
    height: 48px;
  }
  th {
    border-top: none;
  }
  .remaining-credits-collapsed-menu {
    button {
      height: 40px;
      width: 40px;
    }
    button:last-child {
      margin-left: 4px;
    }
  }
}
.bills-table {
  table-layout: fixed;
  thead {
    tr {
      height: 45px;
      th {
        position: sticky;
        top: 0;
        z-index: 10;
        background: white;
      }
    }
  }
  tbody {
    tr {
      height: 65px;
      border-top: 1px solid #c8ced3;
    }
  }

  .fa-download,
  .fa-eye {
    color: $light-blue;
  }
  button {
    width: 40px !important;
    height: 40px !important;
    padding: 0;
    border: none;
  }
  .secondary-btn {
    background: #5b6973;
  }
  select {
    width: 200px;
    height: 35px;
    border: 1px solid #e5e7ea;
    box-sizing: border-box;
    border-radius: 4px;
  }
  .status-column,
  .actions-column {
    min-width: 20%;
  }
  .service-period-tooltip {
    position: relative;
    display: inline-block;
    cursor: help;
    i {
      color: #00d759;
    }
    .hidden-text {
      visibility: hidden;
      width: 200px;
      background-color: black;
      color: #fff;
      text-align: center;
      padding: 5px 0;
      border-radius: 6px;
      margin-top: -30px;
      position: absolute;
      z-index: 1;
    }
  }
  .service-period-tooltip:hover {
    .hidden-text {
      visibility: visible;
    }
  }
  .document-number {
    color: #6a6e8c;
    font-size: 12px;
  }
}

.written-off-modal {
  .confirm-button {
    background-color: #7ac1db;
    border: none;
    color: #23292c;
    font-weight: 500;
    font-size: 16px;
  }
  .disabled {
    background-color: #c9ced2;
    color: #979da0;
    font-weight: 500;
    font-size: 16px;
  }
  select {
    height: 35px;
    border: 1px solid #e5e7ea;
    padding-left: 16px;
  }
}

.modal-item-selected {
  background-color: rgba(0, 0, 0, 0.1);
}

.modal-item-selected:hover {
  background-color: rgba(0, 0, 0, 0.125) !important;
}
.no-results {
  text-align: center;
  color: rgba(0, 0, 0, 0.4);
  font-weight: bold;
}

.new-accounting-document {
  select {
    width: 376px;
  }
  button {
    font-weight: 500;
    font-size: 16px;
    height: 40px;
  }
  .save-as-draft-button {
    color: #21a8d7;
    background: white;
    border: none;
    margin-right: 8px;
  }
  .save-as-draft-button:disabled {
    color: #979da0;
  }
  .save-and-create-pdf-button:disabled {
    color: #979da0;
    background-color: #c9ced2;
    border: none;
    font-weight: 500;
    font-size: 16px;
  }
  .actions-row {
    margin-top: 40px;
  }
}

.credit-note-template {
  .service-period-row {
    height: 35px;
  }
  .hasError {
    border: 1px solid #f86b6b;
  }
  .credit-note-items-table {
    margin-top: 54px;
    thead {
      th {
        border-top: none;
        margin-top: 0px;
        margin-bottom: 12px;
      }
      .header-cell-w-6 {
        width: 6%;
      }
      .header-cell-w-8 {
        width: 8%;
      }
      .header-cell-w-10 {
        width: 10%;
      }
      .header-cell-w-20 {
        width: 20%;
      }
    }

    // google chrome
    .title::-webkit-input-placeholder {
      font-weight: bold;
    }
    // firefox
    .title::-moz-placeholder {
      font-weight: bold;
    }
    //internet-explorer
    .title:-ms-input-placeholder {
      font-weight: bold;
    }
    tbody {
      textarea {
        resize: none;
      }
      .unit-price-input {
        input {
          width: 75%;
          display: inline;
        }
      }
      .vat-amount-input {
        input {
          width: 80%;
          display: inline;
        }
      }
      tr:last-child {
        border-bottom: 1px solid rgb(200, 206, 211);
      }
    }
  }
  .additional-information-row {
    margin-top: 40px;
    textarea {
      resize: none;
    }
  }
}

.credit-note-total-table {
  tbody {
    td {
      border: none;
    }
    .credit-note-total,
    .net-amount-total {
      border-top: 1px solid #c9ced2;
    }
  }
}
.match-trx-table > tbody > tr {
  word-break: break-word;
}

.drafts-table {
  table-layout: fixed;
  tbody {
    .secondary-btn {
      background: #5b6973;
    }
    tr {
      height: 65px;
      border-top: 1px solid #c8ced3;
    }
  }
  thead {
    tr {
      height: 45px;
      th {
        position: sticky;
        top: 0;
        z-index: 10;
        background: white;
      }
    }
  }
}

.confirmDraftDeletingModal,
.confirmDraftDiscardModal {
  .modal-content {
    border: none;
    .modal-header {
      background: #6dba7b;
    }
    .modal-body {
      p {
        text-align: left !important;
        padding-left: 8px;
        margin: 24px 0;
        strong {
          font-weight: normal !important;
        }
      }
    }
    .modal-footer {
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      padding-top: 0;
      padding-bottom: 40px;
      border-top: none;
      button {
        height: 40px;
      }
      .btn-danger {
        text-align: right;
        order: 2;
      }
    }
  }
}

.card-modal {
  &-body {
    max-height: 568px;
    overflow: auto;
    padding: 24px;
  }

  &-content-header {
    padding: 8px 0;
    &-item {
      margin-bottom: 16px;
    }
  }

  &-content-body {
    padding: 0 16px;
    &-item {
      margin-bottom: 16px;
    }
  }
}

.card-limit {
  &-title {
    font-size: 16px;
    margin-bottom: 16px;
  }
  &-list {
    list-style: none;
    padding-left: 0;
  }
  &-item {
    padding: 16px;
    border-top: 1px solid #e5e7ea;
    &-highlight {
      font-weight: bold;
      background-color: #fafafa;
    }
    &:last-child {
      border-bottom: 1px solid #e5e7ea;
    }
  }
}

.businessIdentificationDetails {
  display: flex;
  background-color: #ffffff;
  padding-top: 24px;
  padding-bottom: 83px;
  padding-left: 16px;
  padding-right: 16px;

  h1 {
    font-size: 24px;
    line-height: 140%;
  }

  table {
    border-top: 1px solid #c9ced2;
    width: 97%;
  }

  tr {
    font-size: 14px;
    border-bottom: 1px solid #c9ced2;
  }

  td {
    padding: 14px;
  }

  .leftTable {
    flex: 1;
  }
  .rightTable {
    flex: 1;
  }
}

.businessIdentificationsTableBkycTab {
  table,
  th,
  tr {
    width: 100%;
  }

  .copy-button {
    background: none;
    color: inherit;
    border: none;
    padding: 0;
    font: inherit;
    cursor: pointer;
    outline: inherit;
  }

  table {
    border-top: 1px solid #c9ced2;
  }

  th,
  tr {
    font-size: 14px;
    height: 48px;
    display: flex;
    justify-content: space-around;
    text-align: center;
  }

  th {
    border-bottom: 1px solid #c9ced2;
    line-height: 48px;
    user-select: none;
  }

  tr {
    height: 73px;
    border-bottom: 1px solid #c9ced2;
    line-height: 14px;
    cursor: pointer;
    padding-top: calc((73px - 14px) / 2);

    &:hover {
      background-color: #fafafa;
    }
  }

  td {
    flex: 1;
    overflow: hidden;
  }
  td:nth-child(1) {
    flex: 0.5;
  }
  td:nth-child(2) {
    flex: 0.5;
  }
  td:nth-child(3) {
    flex: 0.7;
  }
  td:nth-child(4) {
    flex: 0.7;
  }
}

#activity-logs-filters-wrapper {
  #start-time, #end-time, #start-date {
    background: #F5F5F7;
    display: inline-block;
    position: relative;
    border: none;
  }

  input[type="time"]::-webkit-calendar-picker-indicator, input[type="date"]::-webkit-calendar-picker-indicator {
    background: transparent;
    bottom: 0;
    color: transparent;
    cursor: pointer;
    height: auto;
    left: 0;
    position: absolute;
    right: 0;
    top: 0;
    width: auto;
  }



}

.tooltip-inner-custom * {
  text-align: left !important;
}